jdk/test/sun/tools/jstatd/jstatdExternalRegistry.sh
author asaha
Mon, 14 Nov 2011 11:52:09 -0800
changeset 10917 becbe249e46b
parent 10604 3f7bd2de5067
parent 10914 da696f9a3be6
child 12200 d935c2f4aeae
permissions -rw-r--r--
Merge
Ignore whitespace changes - Everywhere: Within whitespace: At end of lines:
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
     1
#
10604
3f7bd2de5067 7012206: ~20 tools tests failing due to -XX:-UsePerfData default in Java SE Embedded
dholmes
parents: 7668
diff changeset
     2
# Copyright (c) 2004, 2011, Oracle and/or its affiliates. All rights reserved.
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
     3
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
90ce3da70b43 Initial load
duke
parents:
diff changeset
     4
#
90ce3da70b43 Initial load
duke
parents:
diff changeset
     5
# This code is free software; you can redistribute it and/or modify it
90ce3da70b43 Initial load
duke
parents:
diff changeset
     6
# under the terms of the GNU General Public License version 2 only, as
90ce3da70b43 Initial load
duke
parents:
diff changeset
     7
# published by the Free Software Foundation.
90ce3da70b43 Initial load
duke
parents:
diff changeset
     8
#
90ce3da70b43 Initial load
duke
parents:
diff changeset
     9
# This code is distributed in the hope that it will be useful, but WITHOUT
90ce3da70b43 Initial load
duke
parents:
diff changeset
    10
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
90ce3da70b43 Initial load
duke
parents:
diff changeset
    11
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
90ce3da70b43 Initial load
duke
parents:
diff changeset
    12
# version 2 for more details (a copy is included in the LICENSE file that
90ce3da70b43 Initial load
duke
parents:
diff changeset
    13
# accompanied this code).
90ce3da70b43 Initial load
duke
parents:
diff changeset
    14
#
90ce3da70b43 Initial load
duke
parents:
diff changeset
    15
# You should have received a copy of the GNU General Public License version
90ce3da70b43 Initial load
duke
parents:
diff changeset
    16
# 2 along with this work; if not, write to the Free Software Foundation,
90ce3da70b43 Initial load
duke
parents:
diff changeset
    17
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
90ce3da70b43 Initial load
duke
parents:
diff changeset
    18
#
5506
202f599c92aa 6943119: Rebrand source copyright notices
ohair
parents: 2
diff changeset
    19
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
202f599c92aa 6943119: Rebrand source copyright notices
ohair
parents: 2
diff changeset
    20
# or visit www.oracle.com if you need additional information or have any
202f599c92aa 6943119: Rebrand source copyright notices
ohair
parents: 2
diff changeset
    21
# questions.
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
    22
#
90ce3da70b43 Initial load
duke
parents:
diff changeset
    23
90ce3da70b43 Initial load
duke
parents:
diff changeset
    24
# @test
10914
da696f9a3be6 7092186: adjust package access in rmiregistry
smarks
parents: 7668
diff changeset
    25
# @bug 4990825 7092186
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
    26
# @run shell/timeout=90 jstatdExternalRegistry.sh
90ce3da70b43 Initial load
duke
parents:
diff changeset
    27
# @summary Test functionality of 'jstatd -p<port>&' with an external RMI registry
90ce3da70b43 Initial load
duke
parents:
diff changeset
    28
90ce3da70b43 Initial load
duke
parents:
diff changeset
    29
. ${TESTSRC-.}/../../jvmstat/testlibrary/utils.sh
90ce3da70b43 Initial load
duke
parents:
diff changeset
    30
90ce3da70b43 Initial load
duke
parents:
diff changeset
    31
setup
90ce3da70b43 Initial load
duke
parents:
diff changeset
    32
verify_os
90ce3da70b43 Initial load
duke
parents:
diff changeset
    33
90ce3da70b43 Initial load
duke
parents:
diff changeset
    34
cleanup() {
90ce3da70b43 Initial load
duke
parents:
diff changeset
    35
  kill_proc ${RMIREGISTRY_PID}
90ce3da70b43 Initial load
duke
parents:
diff changeset
    36
  kill_proc ${JSTATD_PID}
90ce3da70b43 Initial load
duke
parents:
diff changeset
    37
}
90ce3da70b43 Initial load
duke
parents:
diff changeset
    38
90ce3da70b43 Initial load
duke
parents:
diff changeset
    39
trap 'cleanup' 0 HUP INT QUIT TERM
90ce3da70b43 Initial load
duke
parents:
diff changeset
    40
90ce3da70b43 Initial load
duke
parents:
diff changeset
    41
RMIREGISTRY="${TESTJAVA}/bin/rmiregistry"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    42
JSTATD="${TESTJAVA}/bin/jstatd"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    43
JPS="${TESTJAVA}/bin/jps"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    44
JSTAT="${TESTJAVA}/bin/jstat"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    45
90ce3da70b43 Initial load
duke
parents:
diff changeset
    46
HOSTNAME=`uname -n`
5813
8e455cd3e807 6962617: Testcase changes, cleanup of problem list for jdk_tools targets
ohair
parents: 5506
diff changeset
    47
PORT=`freePort`
8e455cd3e807 6962617: Testcase changes, cleanup of problem list for jdk_tools targets
ohair
parents: 5506
diff changeset
    48
if [ "${PORT}" = "0" ] ; then
8e455cd3e807 6962617: Testcase changes, cleanup of problem list for jdk_tools targets
ohair
parents: 5506
diff changeset
    49
  echo "Cannot get free port"
8e455cd3e807 6962617: Testcase changes, cleanup of problem list for jdk_tools targets
ohair
parents: 5506
diff changeset
    50
  exit 1
8e455cd3e807 6962617: Testcase changes, cleanup of problem list for jdk_tools targets
ohair
parents: 5506
diff changeset
    51
fi
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
    52
90ce3da70b43 Initial load
duke
parents:
diff changeset
    53
RMIREGISTRY_OUT="rmiregistry_$$.out"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    54
JSTATD_OUT="jstatd_$$.out"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    55
10604
3f7bd2de5067 7012206: ~20 tools tests failing due to -XX:-UsePerfData default in Java SE Embedded
dholmes
parents: 7668
diff changeset
    56
${RMIREGISTRY} -J-XX:+UsePerfData ${PORT} > ${RMIREGISTRY_OUT} 2>&1 &
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
    57
RMIREGISTRY_PID=$!
90ce3da70b43 Initial load
duke
parents:
diff changeset
    58
90ce3da70b43 Initial load
duke
parents:
diff changeset
    59
echo "rmiregistry started on port ${PORT} as pid ${RMIREGISTRY_PID}"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    60
sleep 3
90ce3da70b43 Initial load
duke
parents:
diff changeset
    61
10604
3f7bd2de5067 7012206: ~20 tools tests failing due to -XX:-UsePerfData default in Java SE Embedded
dholmes
parents: 7668
diff changeset
    62
${JSTATD} -J-XX:+UsePerfData -J-Djava.security.policy=${TESTSRC}/all.policy -p ${PORT} > ${JSTATD_OUT} 2>&1 &
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
    63
JSTATD_PID=$!
90ce3da70b43 Initial load
duke
parents:
diff changeset
    64
90ce3da70b43 Initial load
duke
parents:
diff changeset
    65
echo "jstatd started as pid ${JSTATD_PID}"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    66
sleep 3
90ce3da70b43 Initial load
duke
parents:
diff changeset
    67
10604
3f7bd2de5067 7012206: ~20 tools tests failing due to -XX:-UsePerfData default in Java SE Embedded
dholmes
parents: 7668
diff changeset
    68
${JPS} -J-XX:+UsePerfData ${HOSTNAME}:${PORT} 2>&1 | awk -f ${TESTSRC}/jpsOutput1.awk
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
    69
90ce3da70b43 Initial load
duke
parents:
diff changeset
    70
if [ $? -ne 0 ]
90ce3da70b43 Initial load
duke
parents:
diff changeset
    71
then
90ce3da70b43 Initial load
duke
parents:
diff changeset
    72
    echo "Output of jps differs from expected output. Failed."
90ce3da70b43 Initial load
duke
parents:
diff changeset
    73
    exit 1
90ce3da70b43 Initial load
duke
parents:
diff changeset
    74
fi
90ce3da70b43 Initial load
duke
parents:
diff changeset
    75
10604
3f7bd2de5067 7012206: ~20 tools tests failing due to -XX:-UsePerfData default in Java SE Embedded
dholmes
parents: 7668
diff changeset
    76
${JSTAT} -J-XX:+UsePerfData -gcutil ${JSTATD_PID}@${HOSTNAME}:${PORT} 250 5 2>&1 | awk -f ${TESTSRC}/jstatGcutilOutput1.awk
2
90ce3da70b43 Initial load
duke
parents:
diff changeset
    77
RC=$?
90ce3da70b43 Initial load
duke
parents:
diff changeset
    78
90ce3da70b43 Initial load
duke
parents:
diff changeset
    79
if [ ${RC} -ne 0 ]
90ce3da70b43 Initial load
duke
parents:
diff changeset
    80
then
90ce3da70b43 Initial load
duke
parents:
diff changeset
    81
    echo "jstat output differs from expected output"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    82
fi
90ce3da70b43 Initial load
duke
parents:
diff changeset
    83
90ce3da70b43 Initial load
duke
parents:
diff changeset
    84
if [ -s ${JSTATD_OUT} ]
90ce3da70b43 Initial load
duke
parents:
diff changeset
    85
then
90ce3da70b43 Initial load
duke
parents:
diff changeset
    86
    echo "jstatd generated unexpected output: see ${JSTATD_OUT}"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    87
    RC=1
90ce3da70b43 Initial load
duke
parents:
diff changeset
    88
fi
90ce3da70b43 Initial load
duke
parents:
diff changeset
    89
90ce3da70b43 Initial load
duke
parents:
diff changeset
    90
if [ -s ${RMIREGISTRY_OUT} ]
90ce3da70b43 Initial load
duke
parents:
diff changeset
    91
then
90ce3da70b43 Initial load
duke
parents:
diff changeset
    92
    echo "rmiregistry generated unexpected output: see ${RMIREGISTRY_OUT}"
90ce3da70b43 Initial load
duke
parents:
diff changeset
    93
    RC=1
90ce3da70b43 Initial load
duke
parents:
diff changeset
    94
fi
90ce3da70b43 Initial load
duke
parents:
diff changeset
    95
90ce3da70b43 Initial load
duke
parents:
diff changeset
    96
exit ${RC}